> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dreamlayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1input assets



## OpenAPI

````yaml /openapi/managed.yaml post /v1/input-assets
openapi: 3.1.0
info:
  title: DreamLayer Managed Image API
  version: '1'
  description: Opaque conversational image execution for runtimes, apps, and agents.
servers:
  - url: https://api.dreamlayer.io
security:
  - bearerAuth: []
paths:
  /v1/input-assets:
    post:
      operationId: uploadInputAsset
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              additionalProperties: false
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '201':
          description: Normalized owner-scoped input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InputAsset'
components:
  schemas:
    InputAsset:
      type: object
      additionalProperties: false
      required:
        - input_asset_id
        - content_type
        - width
        - height
        - expires_at
      properties:
        input_asset_id:
          type: string
          format: uuid
        content_type:
          type: string
          const: image/png
        width:
          type: integer
          minimum: 1
          maximum: 4096
        height:
          type: integer
          minimum: 1
          maximum: 4096
        expires_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````